Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libsoup
Version:	2.32.0
Release:	1
License:	GNU/LGPL
URL:		http://www.gnome.org
Group:		Graphical Desktop/GNOME/Base
Summary:	Soup is an HTTP library implementation.
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:
BuildRequires:  gobject-introspection-devel
BuildRequires:  libffi-devel

#Automatically resolved build dependencies
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-keyring-devel
BuildRequires: gnutls-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: libproxy-devel
BuildRequires: libtasn1-devel
BuildRequires: libxml2-devel
BuildRequires: ORBit2-devel
BuildRequires: pkg-config
BuildRequires: sqlite-devel
BuildRequires: zlib-devel

%description
Soup is an HTTP library implementation in C.
It was originally part of a SOAP (Simple Object Access Protocol) implementation,
but the SOAP code was later removed (and then later partially reimplemented...).
Soup uses GObjects and the glib main loop, and is designed to work well with
Gtk/GNOME applications. This enables GNOME applications to access HTTP servers
on the network in a completely asynchronous fashion, very similar to the
Gtk+ programming model. Soup also contains code to implement an HTTP/1.1 server.

Features:
* (Optionally) completely asynchronous
* Automatically caches connections
* SSL Support using GnuTLS
* Proxy support, including authentication and SSL tunneling
* Client support for Digest, NTLM, and Basic authentication
* Server support for Digest and Basic authentication

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/libsoup-2.4.so.*
%{_libdir}/libsoup-gnome-2.4.so.*
%{_libdir}/girepository-1.0/Soup-2.4.typelib
%{_libdir}/girepository-1.0/SoupGNOME-2.4.typelib
%{_datadir}/gir-1.0/Soup-2.4.gir
%{_datadir}/gir-1.0/SoupGNOME-2.4.gir

%files devel
%defattr(-, root, root)
%{_includedir}/libsoup-2.4/libsoup
%{_includedir}/libsoup-gnome-2.4/libsoup
%{_libdir}/libsoup-2.4.a
%{_libdir}/libsoup-2.4.la
%{_libdir}/libsoup-2.4.so
%{_libdir}/libsoup-gnome-2.4.a
%{_libdir}/libsoup-gnome-2.4.la
%{_libdir}/libsoup-gnome-2.4.so
%{_pkgconfig}/libsoup-2.4.pc
%{_pkgconfig}/libsoup-gnome-2.4.pc
%{_datadir}/gtk-doc/html/libsoup-2.4

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Sep 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.32.0-1
- Version Update
* Wed Jun 09 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.31.2-1
- Version Update
* Tue Jun 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.28.2-1
- Version Update
* Tue Nov 24 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.1-1
- Version update
* Wed Mar 25 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Version update
* Sun Dec 14 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.25.2-1
- Version Update
* Thu May 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.4.1-1
- Version Update
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.4.0-1
- Version update
* Mon Aug 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.2.100-1
- Version Update
* Mon Nov 06 2006 Christian Metzen <metzench@ccux-linux.de> 2.2.96-1
- Version update
* Fri Oct 13 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.95.1-1
- Version Update
* Sat Jul 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.94-1
- Version Update
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.91-1
- Version Update
* Tue Feb 28 2006 Christian Wasem <wasem@ccux-linux.de> 2.2.7-1
- Initial Release
